SendSchedule an email for future delivery

Schedule an email for future delivery

Schedules an email for delivery at the specified time. Credits are deducted when the scheduler dispatches the job, not at queue time.

curl -X POST "https://api.supasend.io/v1/send/schedule" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "id": "507f1f77bcf86cd799439011",
  "status": "scheduled",
  "scheduled_at": "2024-12-25T10:00:00Z"
}
POST
/v1/send/schedule
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
Content-Typestring
Required

The media type of the request body

Options: application/json
No request body parameters defined
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Body

application/json
datastring
Required

Raw application/json data

Responses